﻿Public Class Session
    Shared sessions As List(Of ISession) = New List(Of ISession)()

    Public Shared Sub Register(session As ISession)
        sessions.Add(session)
    End Sub

    Public Shared Sub Unregister(session As ISession)
        sessions.Remove(session)
    End Sub

    Public Shared Sub Save()
        For Each session As ISession In sessions
            session.Save()
        Next
    End Sub

    Public Shared Sub Restore()
        For Each session As ISession In sessions
            session.Restore()
        Next
    End Sub

End Class
