﻿Public NotInheritable Class MainPage
    Inherits Page

    Public ReadOnly Property Person As Person

    Public Sub New()
        InitializeComponent()

        Person = New Person With {
            .Vorname = "Hans",
            .Nachname = "Muster",
            .Geburtsdatum = New DateTime(1990, 1, 1)
        }
    End Sub

    Private Sub Change_Click(sender As Object, e As RoutedEventArgs)
        Person.Vorname = Person.Vorname.ToUpper()
        Person.Nachname = Person.Nachname.ToUpper()
    End Sub
End Class
