﻿' Die Elementvorlage "Leere Seite" wird unter https://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x407 dokumentiert.

Imports Windows.UI.Xaml.Markup
''' <summary>
''' Eine leere Seite, die eigenständig verwendet oder zu der innerhalb eines Rahmens navigiert werden kann.
''' </summary>
Public NotInheritable Class MainPage
    Inherits Page

    Private Sub Button_Click(sender As Object, e As RoutedEventArgs)
        errorText.Visibility = Visibility.Collapsed

        Try
            Dim controls As Object = XamlReader.Load(xaml.Text)

            panelControls.Children.Clear()
            panelControls.Children.Add(controls)
        Catch ex As Exception
            errorText.Text = ex.Message
            errorText.Visibility = Visibility.Visible
        End Try
    End Sub
End Class
