﻿
Imports Zustandsspeicherung_2

Public NotInheritable Class MainPage
    Inherits Page
    Implements ISession

    Public Function Save() As Object Implements ISession.Save
        Dim addr As Address = New Address With {
            .Country = country.Text,
            .PostCode = postCode.Text,
            .Town = town.Text,
            .Street = street.Text
        }

        Session.Save(addr)
        Return True
    End Function

    Public Async Function Restore() As Task Implements ISession.Restore
        Dim addr = Await Session.Restore(GetType(Address))

        country.Text = addr.Country
        postCode.Text = addr.PostCode
        town.Text = addr.Town
        street.Text = addr.Street
    End Function
End Class
