﻿Imports Windows.UI.Core

NotInheritable Class App
    Inherits Application

    ''' <param name="e">Details über Startanforderung und -prozess.</param>
    Protected Overrides Sub OnLaunched(e As Windows.ApplicationModel.Activation.LaunchActivatedEventArgs)

        SystemNavigationManager.GetForCurrentView().AppViewBackButtonVisibility = AppViewBackButtonVisibility.Visible

        Dim rootFrame As Frame = TryCast(Window.Current.Content, Frame)

        AddHandler SystemNavigationManager.GetForCurrentView().BackRequested,
            Sub(sender, args)
                If (rootFrame.CanGoBack) Then
                    args.Handled = True
                    rootFrame.GoBack()
                Else
                    args.Handled = False
                End If
            End Sub

        If rootFrame Is Nothing Then
            rootFrame = New Frame()

            AddHandler rootFrame.NavigationFailed, AddressOf OnNavigationFailed

            If e.PreviousExecutionState = ApplicationExecutionState.Terminated Then
                ' TODO: Zustand von zuvor angehaltener Anwendung laden
            End If
            Window.Current.Content = rootFrame
        End If

        If e.PrelaunchActivated = False Then
            If rootFrame.Content Is Nothing Then

                rootFrame.Navigate(GetType(MainPage), e.Arguments)
            End If


            Window.Current.Activate()
        End If
    End Sub


    Private Sub OnNavigationFailed(sender As Object, e As NavigationFailedEventArgs)
        Throw New Exception("Failed to load Page " + e.SourcePageType.FullName)
    End Sub


    Private Sub OnSuspending(sender As Object, e As SuspendingEventArgs) Handles Me.Suspending
        Dim deferral As SuspendingDeferral = e.SuspendingOperation.GetDeferral()
        ' TODO: Anwendungszustand speichern und alle Hintergrundaktivitäten beenden
        deferral.Complete()
    End Sub

End Class
