﻿Public NotInheritable Class MainPage
    Inherits Page

    Public ReadOnly Property Personen As ObservableCollection(Of Person) = New ObservableCollection(Of Person)()

    Public Sub New()
        InitializeComponent()

        Personen.Add(New Person With {
             .Vorname = "Hans",
             .Nachname = "Muster",
             .Geburtsdatum = New DateTime(1990, 1, 1)
         })
        Personen.Add(New Person With {
            .Vorname = "Max",
            .Nachname = "Meier",
            .Geburtsdatum = New DateTime(1995, 10, 18)
        })
        Personen.Add(New Person With {
            .Vorname = "Berta",
            .Nachname = "Lustig",
            .Geburtsdatum = New DateTime(1982, 12, 22)
        })
    End Sub
End Class
