﻿Public NotInheritable Class MainPage
    Inherits Page

    Protected Overrides Sub OnNavigatedTo(e As NavigationEventArgs)
        ShowFont("Segoe MDL2 Assets")
    End Sub

    Private Sub ShowFont(fontFamily As String)

        gridView.Items.Clear()

        For i = &HE100 To &HE1E9
            Dim appBarButton = New AppBarButton
            Dim fontIcon = New FontIcon With {
            .FontFamily = New FontFamily(fontFamily),
            .FontSize = 14,
            .Glyph = Convert.ToChar(i).ToString()
        }
            appBarButton.Label = $"Unicode{vbCrLf}&#x{i:x4};"
            appBarButton.Icon = fontIcon

            gridView.Items.Add(appBarButton)

        Next

    End Sub

    Private Sub AppBarButton_Click(sender As Object, e As RoutedEventArgs)

        Dim fontFamily As String
        fontFamily = CType(sender, AppBarButton).Label

        ShowFont(fontFamily)

    End Sub
End Class
